HTML4Encoder (Grails 6.0.0)

Package: org.grails.encoder.impl

## [Java] Class HTML4Encoder

- org.grails.encoder.impl.HTML4Encoder

-     public class HTML4Encoder
      extends AbstractCharReplacementEncoder

  This encoder is for HTML4 documents. It uses escaping information from Spring's HtmlUtils so that this is compatible with the previous "encodeAsHTML" in older Grails versions.

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private static class` | `HTML4Encoder.StreamingHTMLEncoderHelper` | Calls Spring's HtmlUtils's private method to convert characters to HTML entities.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static CodecIdentifier` | `HTML4_CODEC_IDENTIFIER` |
    `static java.lang.String` | `HTML4_CODEC_NAME` |
    `private static java.lang.String` | `NULL_MARKER` |
    `private static org.apache.commons.logging.Log` | `log` |
    `java.util.Map<java.lang.Character, java.lang.String>` | `replacements` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractCharReplacementEncoder` | `codecIdentifier`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HTML4Encoder ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `escapeCharacter(char ch, char previousChar)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCharReplacementEncoder` | `convertToString, createChainingEncodesToWriter, doCharReplacementEncoding, encode, encodeToStream, encodeToWriter, encodeToWriter, escapeCharSequence, escapeCharacter, getCodecIdentifier, isApplyToSafelyEncoded, isSafe, markEncoded`

- - ### Field Detail

    - #### static final CodecIdentifier HTML4_CODEC_IDENTIFIER

    - #### static final java.lang.String HTML4_CODEC_NAME

    - #### private static final java.lang.String NULL_MARKER

    - #### private static final org.apache.commons.logging.Log log

    - #### java.util.Map<java.lang.Character, java.lang.String> replacements

  - ### Constructor Detail

    - #### public HTML4Encoder()

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.String escapeCharacter(char ch, char previousChar)